package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisHiddMajVeriMapper;
import com.goldenwater.slaj.hidd.domain.BisHiddMajVeri;
import com.goldenwater.slaj.hidd.service.IBisHiddMajVeriService;

/**
 * 重大隐患核实信息 服务层实现
 */
@Service
public class BisHiddMajVeriServiceImpl implements IBisHiddMajVeriService {

    @Autowired
    private BisHiddMajVeriMapper bisHiddMajVeriMapper;

    /**
     * 查询重大隐患核实信息信息
     * @param guid 查询条件
     * @return 重大隐患核实信息信息
     */
    @Override
    public BisHiddMajVeri selectBisHiddMajVeriByGuid(String guid) {
        return bisHiddMajVeriMapper.selectBisHiddMajVeriByGuid(guid);
    }

    /**
     * 查询重大隐患核实信息列表
     * @param bisHiddMajVeri 重大隐患核实信息查询条件
     * @return 重大隐患核实信息集合
     */
    @Override
    public List<BisHiddMajVeri> selectBisHiddMajVeriList(BisHiddMajVeri bisHiddMajVeri) {
        return bisHiddMajVeriMapper.selectBisHiddMajVeriList(bisHiddMajVeri);
    }

    /**
     * 新增重大隐患核实信息
     * @param bisHiddMajVeri 重大隐患核实信息信息
     * @return 影响行数
     */
    @Override
    public int insertBisHiddMajVeri(BisHiddMajVeri bisHiddMajVeri) {
        return bisHiddMajVeriMapper.insertBisHiddMajVeri(bisHiddMajVeri);
    }

    /**
     * 修改重大隐患核实信息
     * @param bisHiddMajVeri 重大隐患核实信息信息
     * @return 影响行数
     */
    @Override
    public int updateBisHiddMajVeri(BisHiddMajVeri bisHiddMajVeri) {
        return bisHiddMajVeriMapper.updateBisHiddMajVeri(bisHiddMajVeri);
    }

    /**
     * 删除重大隐患核实信息
     * @param guid 重大隐患核实信息主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddMajVeriByGuid(String guid) {
        return bisHiddMajVeriMapper.deleteBisHiddMajVeriByGuid(guid);
    }

    /**
     * 批量删除重大隐患核实信息
     * @param guids 重大隐患核实信息主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddMajVeriByGuids(String[] guids) {
        return bisHiddMajVeriMapper.deleteBisHiddMajVeriByGuids(guids);
    }
}
